aboutsummaryrefslogtreecommitdiff
path: root/burn
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /burn
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'burn')
-rw-r--r--burn/cdrdao/cdrdao-1.2.3-k3b.patch.xzbin0 -> 280 bytes
-rw-r--r--burn/cdrdao/cdrdao-1.2.3-stat.patch.xzbin0 -> 240 bytes
-rwxr-xr-xburn/cdrdao/cdrdao.build62
-rw-r--r--burn/cuetools/bchunk-1.2.0-heimdal.patch.xzbin0 -> 548 bytes
-rw-r--r--burn/cuetools/bchunk-1.2.0-tracksize.patch.xzbin0 -> 368 bytes
-rwxr-xr-xburn/cuetools/cuetools.build98
-rw-r--r--burn/xfburn/xfburn-0.4.2-icons.patch.xzbin0 -> 648 bytes
-rw-r--r--burn/xfburn/xfburn-0.4.2-ui.patch.xzbin0 -> 596 bytes
-rwxr-xr-xburn/xfburn/xfburn.SlackBuild98
9 files changed, 258 insertions, 0 deletions
diff --git a/burn/cdrdao/cdrdao-1.2.3-k3b.patch.xz b/burn/cdrdao/cdrdao-1.2.3-k3b.patch.xz
new file mode 100644
index 0000000..d885086
--- /dev/null
+++ b/burn/cdrdao/cdrdao-1.2.3-k3b.patch.xz
Binary files differ
diff --git a/burn/cdrdao/cdrdao-1.2.3-stat.patch.xz b/burn/cdrdao/cdrdao-1.2.3-stat.patch.xz
new file mode 100644
index 0000000..373ba15
--- /dev/null
+++ b/burn/cdrdao/cdrdao-1.2.3-stat.patch.xz
Binary files differ
diff --git a/burn/cdrdao/cdrdao.build b/burn/cdrdao/cdrdao.build
new file mode 100755
index 0000000..97d6a2b
--- /dev/null
+++ b/burn/cdrdao/cdrdao.build
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=cdrdao
+VERSION=1.2.3
+BUILD=1
+DEPENDS=('libao >= 1.1.0-1' 'lame >= 3.99.5-1' 'libmad >= 0.15.1b-1' 'libvorbis >= 1.3.3-1')
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: cdrdao (CD burning utility)
+${NAME}:
+${NAME}: cdrdao burns proper disc-at-once (DAO) audio discs. In DAO mode the
+${NAME}: disc is written in one shot, so you don't have to have irritating 2
+${NAME}: second gaps interrupting a live recording.
+${NAME}:
+${NAME}: Homepage: http://cdrdao.sf.net
+${NAME}:
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=${URL[sf]}/cdrdao/cdrdao/${SRCVERS[0]}/${SRCNAME[0]}-${SRCVERS[0]}.tar.bz2
+SRCCOPY[0]="GPL2"
+
+build0()
+{
+sed -i 's|$(datadir)/cdrdao|$(datadir)/application-data/cdrdao|g' dao/Makefile.in
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}" \
+ --with-lame \
+ --with-ogg-support \
+ --with-mp3-support
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS CREDITS
+changelog ChangeLog
+}
diff --git a/burn/cuetools/bchunk-1.2.0-heimdal.patch.xz b/burn/cuetools/bchunk-1.2.0-heimdal.patch.xz
new file mode 100644
index 0000000..d65ab8b
--- /dev/null
+++ b/burn/cuetools/bchunk-1.2.0-heimdal.patch.xz
Binary files differ
diff --git a/burn/cuetools/bchunk-1.2.0-tracksize.patch.xz b/burn/cuetools/bchunk-1.2.0-tracksize.patch.xz
new file mode 100644
index 0000000..2e7c871
--- /dev/null
+++ b/burn/cuetools/bchunk-1.2.0-tracksize.patch.xz
Binary files differ
diff --git a/burn/cuetools/cuetools.build b/burn/cuetools/cuetools.build
new file mode 100755
index 0000000..edb2793
--- /dev/null
+++ b/burn/cuetools/cuetools.build
@@ -0,0 +1,98 @@
+#!/bin/bash
+#
+# Maintainer: Deposite Pirate <ofni.sknuplatem@etaripd>
+
+source /usr/src/ports/Build/build.sh
+
+NAME=cuetools
+VERSION=1.3.1
+BUILD=4
+
+# Description
+
+cat > ${PKG}/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+$(padd)|-----handy-ruler------------------------------------------------------|
+${NAME}: cuetools (utilities to manipulate .cue and .toc files)
+${NAME}:
+${NAME}: Cuetools is a set of utilities for working with cue sheets (cue) and
+${NAME}: table of contents (toc) files.
+${NAME}:
+${NAME}: This package also includes 'bchunk' which allows to convert bin/cue
+${NAME}: files into a of iso .iso image or .cdr tracks and 'vobcopy' which
+${NAME}: allows copying DVDs to a hard drive.
+${NAME}:
+${NAME}:
+${NAME}:
+EOF
+
+# Sources
+
+SRCNAME[0]=${NAME}
+SRCVERS[0]=${VERSION}
+SRCPACK[0]=http://download.berlios.de/${SRCNAME[0]}/${SRCNAME[0]}-${SRCVERS[0]}.tar.gz
+SRCCOPY[0]="GPL2"
+
+# https://github.com/svend/cuetools/commits/master
+
+build0()
+{
+CFLAGS="${FLAGS}" CXXFLAGS="${FLAGS}" \
+./configure \
+ --build="${ARCH}-slackware-linux" \
+ --disable-dependency-tracking \
+ --prefix="${SYS_DIR[usr]}" \
+ --mandir="${SYS_DIR[man]}" \
+ --sysconfdir="${SYS_DIR[etc]}" \
+ --libdir="${SYS_DIR[lib]}" \
+ --localstatedir="${SYS_DIR[var]}"
+make ${JOBS}
+make install DESTDIR="${PKG}"
+doc AUTHORS
+changelog NEWS
+}
+
+SRCNAME[1]=bchunk
+SRCVERS[1]=1.2.0
+SRCPACK[1]=http://he.fi/${SRCNAME[1]}/${SRCNAME[1]}-${SRCVERS[1]}.tar.gz
+SRCCOPY[1]="GPL2"
+
+build1()
+{
+make ${JOBS} OPTS="${FLAGS}"
+make install DESTDIR="${PKG}" MAN_DIR="${SYS_DIR[man]}"
+changelog ChangeLog
+}
+
+SRCNAME[2]=uif2iso
+SRCVERS[2]=0.1.7c
+SRCPACK[2]=http://aluigi.altervista.org/mytoolz/${SRCNAME[2]}.zip
+SRCCOPY[2]="GPL2"
+SRCOPTS[2]="nosrcroot"
+
+build2()
+{
+make ${JOBS} -C src CFLAGS="${FLAGS}"
+make -C src install DESTDIR="${PKG}" prefix="${SYS_DIR[usr]}"
+doc uif2iso.txt
+#FIXME: manual page
+}
+
+SRCNAME[3]=vobcopy
+SRCVERS[3]=1.2.0
+SRCPACK[3]=http://vobcopy.org/download/${SRCNAME[3]}-${SRCVERS[3]}.tar.bz2
+SRCCOPY[3]="GPL2"
+
+build3()
+{
+make ${JOBS} CFLAGS+="${FLAGS}"
+make install DESTDIR="${PKG}" PREFIX="${SYS_DIR[usr]}" MANDIR="${SYS_DIR[man]}"
+changelog Release-Notes
+rm -rf ${PKG}${SYS_DIR[doc]}/vobcopy
+}
diff --git a/burn/xfburn/xfburn-0.4.2-icons.patch.xz b/burn/xfburn/xfburn-0.4.2-icons.patch.xz
new file mode 100644
index 0000000..251eec8
--- /dev/null
+++ b/burn/xfburn/xfburn-0.4.2-icons.patch.xz
Binary files differ
diff --git a/burn/xfburn/xfburn-0.4.2-ui.patch.xz b/burn/xfburn/xfburn-0.4.2-ui.patch.xz
new file mode 100644
index 0000000..14b50c4
--- /dev/null
+++ b/burn/xfburn/xfburn-0.4.2-ui.patch.xz
Binary files differ
diff --git a/burn/xfburn/xfburn.SlackBuild b/burn/xfburn/xfburn.SlackBuild
new file mode 100755
index 0000000..81fdf81
--- /dev/null
+++ b/burn/xfburn/xfburn.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xfburn
+VERSION=0.4.2
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://goodies.xfce.org/releases/${NAME}
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+lzcat $CWD/$NAME-$VERSION-ui.patch.xz | patch -p1 -s
+lzcat $CWD/$NAME-$VERSION-icons.patch.xz | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfburn: xfburn (optical media burner)
+xfburn:
+xfburn: Xfburn is a simple CD/DVD/BD burning tool based on the libburnia
+xfburn: libraries. It can blank CD/DVD-RWs, burn and create ISO images, audio
+xfburn: CDs, as well as burn personal compositions of data to either CD or
+xfburn: DVD.
+xfburn:
+xfburn: Homepage: http://goodies.xfce.org/projects/applications/xfburn
+xfburn:
+xfburn:
+xfburn:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+libxfcegui4 >= 4.6.1-i486-1
+thunar >= 1.0.1-i486-1
+glib_dbus >= 0.82-i486-1
+gstreamer >= 0.10.24-i586-1
+libburn >= 0.7.0-i486-1
+libisofs >= 0.6.22-i486-1
+libusb >= 0.1.12-i486-2
+EOF
+
+install -m 0644 -g 0 -o 0 AUTHORS NEWS \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS
+
+chmod 0444 $PKG/usr/man/man?/*.?
+xz -9f $PKG/usr/man/man?/*.?
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz